Get extended check data
API reference
Returns a specific payment by its unique identifier
Endpoint: /checks/v1/payments/{id}/extended
GET
https://sandbox.crbcos.com/checks/v1/payments/{id}/extended
Path Parameters
- idstringrequiredDescription
Response
- idstringDescription
- accountNumberstringDescription
- referenceIdstringDescription
- paymentTypestringDescription
- checkTypestringDescription
- directionstringDescription
- statusstringDescription
- sourcestringDescription
- postingstringDescription
- rejectionReasonstringDescription
- positivePayResultstringDescription
- positivePayMatchIdstringDescription
- postingCodestringDescription
- clientBatchIdstringDescription
- clientBatchSequenceintegerDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- originalPaymentIdstringDescription
- customerIdstringDescription
- payerRoutingNumberstringDescription
- payerAccountNumberstringDescription
- payeeNamestringDescription
- checkNumberstringDescription
- bofdRoutingNumberstringDescription
- sequenceNumberstringDescription
- amountintegerDescription
- currencystringDescription
- micrstringDescription
- recognizedAmountintegerDescription
- iqaPassedbooleanDescription
- returnCodestringDescription
- hasFrontImagebooleanDescription
- hasBackImagebooleanDescription
- isRedepositbooleanDescription
- policystringDescription
- schedulearrayDescription
- createdAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- processedAtstringDescription
- completedAtstringDescription
- postedAtstringDescription
- wasReturnedbooleanDescription
- purposestringDescription
- clientIdentifierstringDescription
- depositBusinessDatestringDescription
- lockboxVendorIdstringDescription
- decisionRequiredbooleanDescription
- wasDecisionedbooleanDescription
- productIdstringDescription
- partnerIdstringDescription
- lastModifiedAtstringDescription
- extendedobjectDescription
- cashLetterobjectDescription
- collectionTypeIndicatorstringDescription
- destinationRoutingNumberstringDescription
- eceInstitutionRoutingNumberstringDescription
- businessDatestringDescription
- creationDatestringDescription
- creationTimestringDescription
- recordTypeIndicatorstringDescription
- documentationTypeIndicatorstringDescription
- cashLetterIdstringDescription
- originatorContactNamestringDescription
- originatorContactPhonestringDescription
- fedWorkTypestringDescription
- userFieldstringDescription
- reservedstringDescription
- bundleobjectDescription
- collectionTypeIndicatorstringDescription
- destinationRoutingNumberstringDescription
- eceRoutingNumberstringDescription
- businessDatestringDescription
- creationDatestringDescription
- bundleIdstringDescription
- sequenceNumberstringDescription
- cycleNumberstringDescription
- returnLocationRoutingNumberstringDescription
- userFieldstringDescription
- reservedstringDescription
- itemobjectDescription
- checkDetailobjectDescription
- auxiliaryOnUsstringDescription
- externalProcessingCodestringDescription
- payorRoutingNumberstringDescription
- payorCheckDigitstringDescription
- onUsstringDescription
- amountstringDescription
- sequenceNumberstringDescription
- documentationTypeIndicatorstringDescription
- electronicReturnIndicatorstringDescription
- micrValidIndicatorstringDescription
- bofdIndicatorstringDescription
- addendumCountstringDescription
- correctionIndicatorstringDescription
- archiveTypeIndicatorstringDescription
- checkAddendumAarrayDescription
- checkAddendumBarrayDescription
- checkAddendumCarrayDescription
- returnDetailobjectDescription
- payorRoutingNumberstringDescription
- payorCheckDigitstringDescription
- onUsstringDescription
- amountstringDescription
- returnReasonstringDescription
- addendumCountstringDescription
- returnDocTypeIndicatorstringDescription
- forwardBundleDatestringDescription
- eceSequenceNumberstringDescription
- externalProcessingCodestringDescription
- returnNotificationIndicatorstringDescription
- returnArchiveTypeIndicatorstringDescription
- numberOfTimesReturnedstringDescription
- reservedstringDescription
- returnAddendumAarrayDescription
- returnAddendumBobjectDescription
- payorBankNamestringDescription
- auxiliaryOnUsstringDescription
- payorBankSequenceNumberstringDescription
- payorBankBusinessDatestringDescription
- payorAccountNamestringDescription
- returnAddendumCobjectDescription
- returnAddendumDarrayDescription
- imagesarrayDescription
curl
curl --location 'https://sandbox.crbcos.com/checks/v1/payments/3d70fc63-672e-4c3b-9e66-b48700b5db14/extended' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/checks/v1/payments/3d70fc63-672e-4c3b-9e66-b48700b5db14/extended',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/checks/v1/payments/3d70fc63-672e-4c3b-9e66-b48700b5db14/extended"
payload = ""
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/checks/v1/payments/3d70fc63-672e-4c3b-9e66-b48700b5db14/extended")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/checks/v1/payments/3d70fc63-672e-4c3b-9e66-b48700b5db14/extended"
method := "GET"
payload := strings.NewReader(``)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"extended": {
"cashLetter": {
"recordType": "10",
"collectionTypeIndicator": "01",
"destinationRoutingNumber": "061000146",
"eceInstitutionRoutingNumber": "021214891",
"businessDate": "20260714",
"creationDate": "20260714",
"creationTime": "0702",
"recordTypeIndicator": "I",
"documentationTypeIndicator": "G",
"cashLetterId": "03743251",
"originatorContactName": "",
"originatorContactPhone": "",
"fedWorkType": "C"
},
"bundle": {
"recordType": "20",
"collectionTypeIndicator": "01",
"destinationRoutingNumber": "061000146",
"eceRoutingNumber": "021214891",
"businessDate": "20260714",
"creationDate": "20260714",
"bundleId": "69236621",
"sequenceNumber": "1",
"cycleNumber": "0",
"returnLocationRoutingNumber": "021214891"
},
"item": {
"checkDetail": {
"recordType": "25",
"auxiliaryOnUs": "1237",
"externalProcessingCode": "",
"payorRoutingNumber": "31407426",
"payorCheckDigit": "9",
"onUs": "/28293886",
"amount": "10000",
"sequenceNumber": "3918624417",
"documentationTypeIndicator": "G",
"electronicReturnIndicator": "",
"micrValidIndicator": " ",
"bofdIndicator": "Y",
"addendumCount": "01",
"correctionIndicator": "",
"archiveTypeIndicator": ""
},
"checkAddendumA": [
{
"recordType": "26",
"recordNumber": "1",
"bofdRoutingNumber": "021214891",
"bofdBusinessDate": "20260714",
"bofdSequenceNumber": "3918624417",
"bofdDepositAccountNumber": "2203250853",
"bofdDepositBranch": "01",
"payeeName": "",
"truncationIndicator": "Y",
"bofdConversionIndicator": "",
"bofdCorrectionIndicator": "",
"userField": "",
"reserved": ""
}
],
"checkAddendumB": [],
"checkAddendumC": [],
"returnAddendumA": [],
"returnAddendumD": [],
"images": [
{
"detail": {
"recordType": "50",
"imageIndicator": "1",
"creatorRoutingNumber": "021214891",
"creatorDate": "20260714",
"imageViewFormatIndicator": "00",
"imageViewCompression": "00",
"imageViewDataSize": "5652",
"viewSideIndicator": "0",
"viewDescriptor": "00",
"digitalSignatureIndicator": "0",
"digitalSignatureMethod": "",
"securityKeySize": "",
"startOfProtectedData": "",
"lengthOfProtectedData": "",
"imageRecreateIndicator": "",
"userField": "",
"reserved": ""
},
"data": {
"recordType": "52",
"institutionRoutingNumber": "021214891",
"bundleBusinessDate": "20260714",
"cycleNumber": "0",
"eceSequenceNumber": "3918624417",
"securityOriginatorName": "",
"securityAuthenticatorName": "",
"securityKeyName": "",
"clippingOrigin": "0",
"clippingCoordinateH1": "",
"clippingCoordinateH2": "",
"clippingCoordinateV1": "",
"clippingCoordinateV2": "",
"lengthOfReferenceKey": "19",
"imageReferenceKey": "2026071439186244170",
"lengthOfSignature": "0000",
"digitalSignature": "",
"lengthOfImageData": "5652",
"imageData": "payment_3366874c-b887-4532-aec7-b48c006d4d1f_0.tif"
},
"analysis": {
"recordType": "54",
"globalImageQuality": "0",
"globalImageUsability": "0",
"imagingBankSpecficTest": "0",
"partialImage": "0",
"excessiveImageSkew": "0",
"piggybackImage": "0",
"tooLightOrTooDark": "0",
"streaksAndBands": "0",
"belowMinimumImageSize": "0",
"exceedsMaximumImageSize": "0",
"reserved1": "",
"reserved2": "",
"reserved3": "",
"reserved4": "",
"reserved5": "",
"reserved6": "",
"reserved7": "",
"reserved8": "",
"reserved9": "",
"reserved10": "",
"reserved11": "",
"reserved12": "",
"reserved13": "",
"imageEnabledPod": "0",
"sourceDocumentBad": "0",
"dateUsability": "0",
"payeeUsability": "0",
"convenienceAmountUsability": "0",
"wordsAmountUsability": "0",
"signatureUsability": "0",
"payorNameUsability": "0",
"micrLineUsability": "0",
"memoLineUsability": "0",
"payorBankNameUsability": "0",
"payeeEndorsementUsability": "0",
"bofdEndorsementUsability": "0",
"transitEndorsementUsability": "0",
"reserved14": "",
"reserved15": "",
"reserved16": "",
"reserved17": "",
"reserved18": "",
"reserved19": "",
"userField": "00000000000000000000",
"reserved20": ""
},
"recordCount": 3
},
{
"detail": {
"recordType": "50",
"imageIndicator": "1",
"creatorRoutingNumber": "021214891",
"creatorDate": "20260714",
"imageViewFormatIndicator": "00",
"imageViewCompression": "00",
"imageViewDataSize": "3132",
"viewSideIndicator": "1",
"viewDescriptor": "00",
"digitalSignatureIndicator": "0",
"digitalSignatureMethod": "",
"securityKeySize": "",
"startOfProtectedData": "",
"lengthOfProtectedData": "",
"imageRecreateIndicator": "",
"userField": "",
"reserved": ""
},
"data": {
"recordType": "52",
"institutionRoutingNumber": "021214891",
"bundleBusinessDate": "20260714",
"cycleNumber": "0",
"eceSequenceNumber": "3918624417",
"securityOriginatorName": "",
"securityAuthenticatorName": "",
"securityKeyName": "",
"clippingOrigin": "0",
"clippingCoordinateH1": "",
"clippingCoordinateH2": "",
"clippingCoordinateV1": "",
"clippingCoordinateV2": "",
"lengthOfReferenceKey": "19",
"imageReferenceKey": "2026071439186244171",
"lengthOfSignature": "0000",
"digitalSignature": "",
"lengthOfImageData": "3132",
"imageData": "payment_3366874c-b887-4532-aec7-b48c006d4d1f_1.tif"
},
"analysis": {
"recordType": "54",
"globalImageQuality": "0",
"globalImageUsability": "0",
"imagingBankSpecficTest": "0",
"partialImage": "0",
"excessiveImageSkew": "0",
"piggybackImage": "0",
"tooLightOrTooDark": "0",
"streaksAndBands": "0",
"belowMinimumImageSize": "0",
"exceedsMaximumImageSize": "0",
"reserved1": "",
"reserved2": "",
"reserved3": "",
"reserved4": "",
"reserved5": "",
"reserved6": "",
"reserved7": "",
"reserved8": "",
"reserved9": "",
"reserved10": "",
"reserved11": "",
"reserved12": "",
"reserved13": "",
"imageEnabledPod": "0",
"sourceDocumentBad": "0",
"dateUsability": "0",
"payeeUsability": "0",
"convenienceAmountUsability": "0",
"wordsAmountUsability": "0",
"signatureUsability": "0",
"payorNameUsability": "0",
"micrLineUsability": "0",
"memoLineUsability": "0",
"payorBankNameUsability": "0",
"payeeEndorsementUsability": "0",
"bofdEndorsementUsability": "0",
"transitEndorsementUsability": "0",
"reserved14": "",
"reserved15": "",
"reserved16": "",
"reserved17": "",
"reserved18": "",
"reserved19": "",
"userField": "00000000000000000000",
"reserved20": ""
},
"recordCount": 3
}
],
"recordCount": 8
}
},
"id": "3d70fc63-672e-4c3b-9e66-b48700b5db14",
"accountNumber": "2203250853",
"referenceId": "C195BV23Y5FM",
"paymentType": "Forward",
"checkType": "Standard",
"direction": "Outbound",
"status": "Completed",
"source": "Api",
"posting": "Posted",
"postingCode": "OK",
"fedBatchId": "b27a0427-1434-4372-ae16-b488015f31cc",
"fedBatchSequence": 1,
"coreTransactionId": "4c8d9f31-4072-466a-b64a-b48700b5db14",
"memoPostId": "05a58583-6a53-449c-b685-b48700b5db14",
"originalPaymentId": "3d70fc63-672e-4c3b-9e66-b48700b5db14",
"customerId": "861261af-1251-49e8-966f-b2ff00d627bd",
"payerRoutingNumber": "314074269",
"payerAccountNumber": "28293886",
"payeeName": "",
"checkNumber": "1237",
"bofdRoutingNumber": "021214891",
"sequenceNumber": "3918624417",
"amount": 10000,
"currency": "usd",
"micr": "d314074269dc28293886c1237",
"recognizedAmount": 100,
"iqaPassed": true,
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [
0,
10000
],
"createdAt": "2026-07-14T07:02:06.997-04:00",
"processedAt": "2026-07-15T17:18:53.033-04:00",
"completedAt": "2026-07-15T17:18:53.033-04:00",
"postedAt": "2026-07-15T17:18:53.25-04:00",
"wasReturned": true,
"purpose": "SKIP_IQA",
"depositBusinessDate": "260715",
"decisionRequired": false,
"wasDecisioned": false,
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2026-07-19T02:37:57.2846515-04:00"
}400
{\n \"errors\": [{\n \"code\": 2001,\n \"message\": \"Validation error\"\n }]\n}401
{\n \"errors\": [{\n \"code\": 3001,\n \"message\": \"Unauthorized\"\n }]\n}